CREATE TABLE A_POTAL_TABLE(
	POTAL_ID     int4         PRIMARY KEY,
	URL_RND      int4,         
	MSIZE        VARCHAR(3),
	ICON         VARCHAR(128),
	SKINPICT     VARCHAR(128),
	SKINDTL_W    int4,
	SKINDTL_H    int4,
	PICT_W       int4,
	PICT_H       int4,
	FACE_1       VARCHAR(32),
	FACE_2       VARCHAR(32),
	FACE_3       VARCHAR(32),
	COLOR_1      VARCHAR(8),
	COLOR_2      VARCHAR(8),
	COLOR_3      VARCHAR(8),
	CS_NAME      VARCHAR(256),
	CS_ADRS1     VARCHAR(40),
	CS_ADRS2     VARCHAR(40),
	CHG_USER_ID  VARCHAR(64) UNIQUE ,
	CHG_PASSWORD VARCHAR(16),
	CHG_QUESTION VARCHAR(2),
	CHG_ANSWER   VARCHAR(32),
	CHG_TEL      VARCHAR(13),
	CHG_EMAIL    VARCHAR(64),
	CHG_NAME     VARCHAR(32),
	INS_USER_ID  VARCHAR(20),
	INS_DATE     timestamp,
	UP_USER_ID   VARCHAR(20),
	UP_DATE      timestamp
);

CREATE TABLE A_MAP_TABLE(
	MAP_ID       int4         PRIMARY KEY,
    POTAL_ID     int4,
    POST_NO      VARCHAR(8)   NOT NULL,
    PREF         VARCHAR(10)  NOT NULL,
    NAME         VARCHAR(128) NOT NULL,
	ADRESS1      VARCHAR(40)  NOT NULL,
	ADRESS2      VARCHAR(40)  NOT NULL,
    TEL          VARCHAR(13)  NOT NULL,
    FAX          VARCHAR(13),
    TOUKEI1      VARCHAR(10),
    HOKUI1       VARCHAR(10),
    TOUKEI2      VARCHAR(10),
    HOKUI2       VARCHAR(10),
    PICTURE      VARCHAR(128),
    MSIZE        VARCHAR(32),
    MOYORI1      VARCHAR(64),
    MOYORI2      VARCHAR(64),
    MOYORI3      VARCHAR(64),
    MOYORI4      VARCHAR(64),
    MOYORI5      VARCHAR(64),
	INS_USER_ID  VARCHAR(20),
	INS_DATE     timestamp,
	UP_USER_ID   VARCHAR(20),
	UP_DATE      timestamp
);
